Custody providers

Add Custody Allocations To Grant

Creates custody allocations linking existing wallets to grants with amounts, validating grant totals in one transaction.

POSThttps://api.toku.com/tga/add-custody-allocations-to-grant

Not available to API keys yet. It will need wallets:write.

curl --request POST \
  --url 'https://api.toku.com/tga/add-custody-allocations-to-grant' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "allocations": [
    {
      "walletAddress": "string",
      "allocationAmount": 0,
      "grantID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
    }
  ]
}'
200 response
{
  "success": true,
  "message": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

allocationsobject[]required

Allowed: 1 to 1000 items

Show child attributes
walletAddressstringrequired

Allowed: at least 1 characters

allocationAmountnumberrequired

Allowed: at least 0

grantIDstring<uuid>required

Response

200Successful response
successbooleanrequired
messagestring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits